package com.ruoyi.syzy.domain;

import java.util.List;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 霍兰德测评题目对象 b_busi_holland_questions
 * 
 * @author mingxue
 * @date 2021-08-15
 */
@ApiModel("霍兰德测评题目")
public class BBusiHollandQuestions extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @ApiModelProperty("主键 ")
    private Long id;

    /** 步骤 */
    @Excel(name = "步骤")
    @ApiModelProperty("步骤")
    private Long stepId;

    /** 序号 */
    @Excel(name = "序号")
    @ApiModelProperty("序号")
    private Long no;

    /** 题干 */
    @Excel(name = "题干")
    @ApiModelProperty("题干")
    private String title;

    /** 测评代码 */
    @Excel(name = "测评代码")
    @ApiModelProperty("测评代码")
    private String ruleCode;

    /** 状态 */
    @Excel(name = "状态")
    @ApiModelProperty("状态")
    private Integer status;

    @ApiModelProperty("进度")
    private Integer percent;

    @ApiModelProperty("题目选项")
    private List<BBusiHollandQuestionOptions> options;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setStepId(Long stepId) {
        this.stepId = stepId;
    }

    public Long getStepId() {
        return stepId;
    }

    public void setNo(Long no) {
        this.no = no;
    }

    public Long getNo() {
        return no;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getTitle() {
        return title;
    }

    public void setRuleCode(String ruleCode) {
        this.ruleCode = ruleCode;
    }

    public String getRuleCode() {
        return ruleCode;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getStatus() {
        return status;
    }

    public Integer getPercent() {
        return percent;
    }

    public void setPercent(Integer percent) {
        this.percent = percent;
    }

    public List<BBusiHollandQuestionOptions> getOptions() {
        return options;
    }

    public void setOptions(List<BBusiHollandQuestionOptions> options) {
        this.options = options;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId()).append("stepId", getStepId())
            .append("no", getNo()).append("title", getTitle()).append("ruleCode", getRuleCode()).append("status", getStatus()).toString();
    }
}
